<?php
$manoir_woocommerce_sc = manoir_get_theme_option( 'front_page_woocommerce_products' );
if ( ! empty( $manoir_woocommerce_sc ) ) {
	?><div class="front_page_section front_page_section_woocommerce<?php
		$manoir_scheme = manoir_get_theme_option( 'front_page_woocommerce_scheme' );
		if ( ! empty( $manoir_scheme ) && ! manoir_is_inherit( $manoir_scheme ) ) {
			echo ' scheme_' . esc_attr( $manoir_scheme );
		}
		echo ' front_page_section_paddings_' . esc_attr( manoir_get_theme_option( 'front_page_woocommerce_paddings' ) );
		if ( manoir_get_theme_option( 'front_page_woocommerce_stack' ) ) {
			echo ' sc_stack_section_on';
		}
	?>"
			<?php
			$manoir_css      = '';
			$manoir_bg_image = manoir_get_theme_option( 'front_page_woocommerce_bg_image' );
			if ( ! empty( $manoir_bg_image ) ) {
				$manoir_css .= 'background-image: url(' . esc_url( manoir_get_attachment_url( $manoir_bg_image ) ) . ');';
			}
			if ( ! empty( $manoir_css ) ) {
				echo ' style="' . esc_attr( $manoir_css ) . '"';
			}
			?>
	>
	<?php
		// Add anchor
		$manoir_anchor_icon = manoir_get_theme_option( 'front_page_woocommerce_anchor_icon' );
		$manoir_anchor_text = manoir_get_theme_option( 'front_page_woocommerce_anchor_text' );
		if ( ( ! empty( $manoir_anchor_icon ) || ! empty( $manoir_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
			echo do_shortcode(
				'[trx_sc_anchor id="front_page_section_woocommerce"'
											. ( ! empty( $manoir_anchor_icon ) ? ' icon="' . esc_attr( $manoir_anchor_icon ) . '"' : '' )
											. ( ! empty( $manoir_anchor_text ) ? ' title="' . esc_attr( $manoir_anchor_text ) . '"' : '' )
											. ']'
			);
		}
	?>
		<div class="front_page_section_inner front_page_section_woocommerce_inner
			<?php
			if ( manoir_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
				echo ' manoir-full-height sc_layouts_flex sc_layouts_columns_middle';
			}
			?>
				"
				<?php
				$manoir_css      = '';
				$manoir_bg_mask  = manoir_get_theme_option( 'front_page_woocommerce_bg_mask' );
				$manoir_bg_color_type = manoir_get_theme_option( 'front_page_woocommerce_bg_color_type' );
				if ( 'custom' == $manoir_bg_color_type ) {
					$manoir_bg_color = manoir_get_theme_option( 'front_page_woocommerce_bg_color' );
				} elseif ( 'scheme_bg_color' == $manoir_bg_color_type ) {
					$manoir_bg_color = manoir_get_scheme_color( 'bg_color', $manoir_scheme );
				} else {
					$manoir_bg_color = '';
				}
				if ( ! empty( $manoir_bg_color ) && $manoir_bg_mask > 0 ) {
					$manoir_css .= 'background-color: ' . esc_attr(
						1 == $manoir_bg_mask ? $manoir_bg_color : manoir_hex2rgba( $manoir_bg_color, $manoir_bg_mask )
					) . ';';
				}
				if ( ! empty( $manoir_css ) ) {
					echo ' style="' . esc_attr( $manoir_css ) . '"';
				}
				?>
		>
			<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
				<?php
				// Content wrap with title and description
				$manoir_caption     = manoir_get_theme_option( 'front_page_woocommerce_caption' );
				$manoir_description = manoir_get_theme_option( 'front_page_woocommerce_description' );
				if ( ! empty( $manoir_caption ) || ! empty( $manoir_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					// Caption
					if ( ! empty( $manoir_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $manoir_caption ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( $manoir_caption, 'manoir_kses_content' );
						?>
						</h2>
						<?php
					}

					// Description (text)
					if ( ! empty( $manoir_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $manoir_description ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( wpautop( $manoir_description ), 'manoir_kses_content' );
						?>
						</div>
						<?php
					}
				}

				// Content (widgets)
				?>
				<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
					<?php
					if ( 'products' == $manoir_woocommerce_sc ) {
						$manoir_woocommerce_sc_ids      = manoir_get_theme_option( 'front_page_woocommerce_products_per_page' );
						$manoir_woocommerce_sc_per_page = count( explode( ',', $manoir_woocommerce_sc_ids ) );
					} else {
						$manoir_woocommerce_sc_per_page = max( 1, (int) manoir_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
					}
					$manoir_woocommerce_sc_columns = max( 1, min( $manoir_woocommerce_sc_per_page, (int) manoir_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
					echo do_shortcode(
						"[{$manoir_woocommerce_sc}"
										. ( 'products' == $manoir_woocommerce_sc
												? ' ids="' . esc_attr( $manoir_woocommerce_sc_ids ) . '"'
												: '' )
										. ( 'product_category' == $manoir_woocommerce_sc
												? ' category="' . esc_attr( manoir_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
												: '' )
										. ( 'best_selling_products' != $manoir_woocommerce_sc
												? ' orderby="' . esc_attr( manoir_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
													. ' order="' . esc_attr( manoir_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
												: '' )
										. ' per_page="' . esc_attr( $manoir_woocommerce_sc_per_page ) . '"'
										. ' columns="' . esc_attr( $manoir_woocommerce_sc_columns ) . '"'
						. ']'
					);
					?>
				</div>
			</div>
		</div>
	</div>
	<?php
}
