<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package MANOIR
 * @since MANOIR 1.0.50
 */

$manoir_template_args = get_query_var( 'manoir_template_args' );
if ( is_array( $manoir_template_args ) ) {
	$manoir_columns    = empty( $manoir_template_args['columns'] ) ? 2 : max( 1, $manoir_template_args['columns'] );
	$manoir_blog_style = array( $manoir_template_args['type'], $manoir_columns );
} else {
	$manoir_template_args = array();
	$manoir_blog_style = explode( '_', manoir_get_theme_option( 'blog_style' ) );
	$manoir_columns    = empty( $manoir_blog_style[1] ) ? 2 : max( 1, $manoir_blog_style[1] );
}
$manoir_blog_id       = manoir_get_custom_blog_id( join( '_', $manoir_blog_style ) );
$manoir_blog_style[0] = str_replace( 'blog-custom-', '', $manoir_blog_style[0] );
$manoir_expanded      = ! manoir_sidebar_present() && manoir_get_theme_option( 'expand_content' ) == 'expand';
$manoir_components    = ! empty( $manoir_template_args['meta_parts'] )
							? ( is_array( $manoir_template_args['meta_parts'] )
								? join( ',', $manoir_template_args['meta_parts'] )
								: $manoir_template_args['meta_parts']
								)
							: manoir_array_get_keys_by_value( manoir_get_theme_option( 'meta_parts' ) );
$manoir_post_format   = get_post_format();
$manoir_post_format   = empty( $manoir_post_format ) ? 'standard' : str_replace( 'post-format-', '', $manoir_post_format );

$manoir_blog_meta     = manoir_get_custom_layout_meta( $manoir_blog_id );
$manoir_custom_style  = ! empty( $manoir_blog_meta['scripts_required'] ) ? $manoir_blog_meta['scripts_required'] : 'none';

if ( ! empty( $manoir_template_args['slider'] ) || $manoir_columns > 1 || ! manoir_is_off( $manoir_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $manoir_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( manoir_is_off( $manoir_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $manoir_custom_style ) ) . "-1_{$manoir_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_item_container post_format_' . esc_attr( $manoir_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $manoir_columns )
					. ' post_layout_' . esc_attr( $manoir_blog_style[0] )
					. ' post_layout_' . esc_attr( $manoir_blog_style[0] ) . '_' . esc_attr( $manoir_columns )
					. ( ! manoir_is_off( $manoir_custom_style )
						? ' post_layout_' . esc_attr( $manoir_custom_style )
							. ' post_layout_' . esc_attr( $manoir_custom_style ) . '_' . esc_attr( $manoir_columns )
						: ''
						)
		);
	manoir_add_blog_animation( $manoir_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'manoir_action_show_layout', $manoir_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $manoir_template_args['slider'] ) || $manoir_columns > 1 || ! manoir_is_off( $manoir_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
