<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package MANOIR
 * @since MANOIR 1.0
 */

$manoir_template_args = get_query_var( 'manoir_template_args' );
if ( is_array( $manoir_template_args ) ) {
	$manoir_columns    = empty( $manoir_template_args['columns'] ) ? 2 : max( 1, $manoir_template_args['columns'] );
	$manoir_blog_style = array( $manoir_template_args['type'], $manoir_columns );
    $manoir_columns_class = manoir_get_column_class( 1, $manoir_columns, ! empty( $manoir_template_args['columns_tablet']) ? $manoir_template_args['columns_tablet'] : '', ! empty($manoir_template_args['columns_mobile']) ? $manoir_template_args['columns_mobile'] : '' );
} else {
	$manoir_template_args = array();
	$manoir_blog_style = explode( '_', manoir_get_theme_option( 'blog_style' ) );
	$manoir_columns    = empty( $manoir_blog_style[1] ) ? 2 : max( 1, $manoir_blog_style[1] );
    $manoir_columns_class = manoir_get_column_class( 1, $manoir_columns );
}

$manoir_post_format = get_post_format();
$manoir_post_format = empty( $manoir_post_format ) ? 'standard' : str_replace( 'post-format-', '', $manoir_post_format );

?><div class="
<?php
if ( ! empty( $manoir_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo ( manoir_is_blog_style_use_masonry( $manoir_blog_style[0] ) ? 'masonry_item masonry_item-1_' . esc_attr( $manoir_columns ) : esc_attr( $manoir_columns_class ));
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_item_container post_format_' . esc_attr( $manoir_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $manoir_columns )
		. ( 'portfolio' != $manoir_blog_style[0] ? ' ' . esc_attr( $manoir_blog_style[0] )  . '_' . esc_attr( $manoir_columns ) : '' )
	);
	manoir_add_blog_animation( $manoir_template_args );
	?>
>
<?php

	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	$manoir_hover   = ! empty( $manoir_template_args['hover'] ) && ! manoir_is_inherit( $manoir_template_args['hover'] )
								? $manoir_template_args['hover']
								: manoir_get_theme_option( 'image_hover' );

	if ( 'dots' == $manoir_hover ) {
		$manoir_post_link = empty( $manoir_template_args['no_links'] )
								? ( ! empty( $manoir_template_args['link'] )
									? $manoir_template_args['link']
									: get_permalink()
									)
								: '';
		$manoir_target    = ! empty( $manoir_post_link ) && false === strpos( $manoir_post_link, home_url() )
								? ' target="_blank" rel="nofollow"'
								: '';
	}
	
	// Meta parts
	$manoir_components = ! empty( $manoir_template_args['meta_parts'] )
							? ( is_array( $manoir_template_args['meta_parts'] )
								? $manoir_template_args['meta_parts']
								: explode( ',', $manoir_template_args['meta_parts'] )
								)
							: manoir_array_get_keys_by_value( manoir_get_theme_option( 'meta_parts' ) );

	// Featured image
	manoir_show_post_featured( apply_filters( 'manoir_filter_args_featured',
        array(
			'hover'         => $manoir_hover,
			'no_links'      => ! empty( $manoir_template_args['no_links'] ),
			'thumb_size'    => ! empty( $manoir_template_args['thumb_size'] )
								? $manoir_template_args['thumb_size']
								: manoir_get_thumb_size(
									manoir_is_blog_style_use_masonry( $manoir_blog_style[0] )
										? (	strpos( manoir_get_theme_option( 'body_style' ), 'full' ) !== false || $manoir_columns < 3
											? 'masonry-big'
											: 'masonry'
											)
										: (	strpos( manoir_get_theme_option( 'body_style' ), 'full' ) !== false || $manoir_columns < 3
											? 'square'
											: 'square'
											)
								),
			'thumb_bg' => manoir_is_blog_style_use_masonry( $manoir_blog_style[0] ) ? false : true,
			'show_no_image' => true,
			'meta_parts'    => $manoir_components,
			'class'         => 'dots' == $manoir_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $manoir_hover
										? '<div class="post_info"><h5 class="post_title">'
											. ( ! empty( $manoir_post_link )
												? '<a href="' . esc_url( $manoir_post_link ) . '"' . ( ! empty( $target ) ? $target : '' ) . '>'
												: ''
												)
												. esc_html( get_the_title() ) 
											. ( ! empty( $manoir_post_link )
												? '</a>'
												: ''
												)
											. '</h5></div>'
										: '',
            'thumb_ratio'   => 'info' == $manoir_hover ?  '100:102' : '',
        ),
        'content-portfolio',
        $manoir_template_args
    ) );
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!