<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package MANOIR
 * @since MANOIR 1.0.10
 */

// Footer sidebar
$manoir_footer_name    = manoir_get_theme_option( 'footer_widgets' );
$manoir_footer_present = ! manoir_is_off( $manoir_footer_name ) && is_active_sidebar( $manoir_footer_name );
if ( $manoir_footer_present ) {
	manoir_storage_set( 'current_sidebar', 'footer' );
	$manoir_footer_wide = manoir_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $manoir_footer_name ) ) {
		dynamic_sidebar( $manoir_footer_name );
	}
	$manoir_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $manoir_out ) ) {
		$manoir_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $manoir_out );
		$manoir_need_columns = true;   //or check: strpos($manoir_out, 'columns_wrap')===false;
		if ( $manoir_need_columns ) {
			$manoir_columns = max( 0, (int) manoir_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $manoir_columns ) {
				$manoir_columns = min( 4, max( 1, manoir_tags_count( $manoir_out, 'aside' ) ) );
			}
			if ( $manoir_columns > 1 ) {
				$manoir_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $manoir_columns ) . ' widget', $manoir_out );
			} else {
				$manoir_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $manoir_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<?php do_action( 'manoir_action_before_sidebar_wrap', 'footer' ); ?>
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $manoir_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $manoir_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'manoir_action_before_sidebar', 'footer' );
				manoir_show_layout( $manoir_out );
				do_action( 'manoir_action_after_sidebar', 'footer' );
				if ( $manoir_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $manoir_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
			<?php do_action( 'manoir_action_after_sidebar_wrap', 'footer' ); ?>
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
