<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package MANOIR
 * @since MANOIR 1.0.06
 */

$manoir_header_css   = '';
$manoir_header_image = get_header_image();
$manoir_header_video = manoir_get_header_video();
if ( ! empty( $manoir_header_image ) && manoir_trx_addons_featured_image_override( is_singular() || manoir_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$manoir_header_image = manoir_get_current_mode_image( $manoir_header_image );
}

$manoir_header_id = manoir_get_custom_header_id();
$manoir_header_meta = get_post_meta( $manoir_header_id, 'trx_addons_options', true );
if ( ! empty( $manoir_header_meta['margin'] ) ) {
	manoir_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( manoir_prepare_css_value( $manoir_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $manoir_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $manoir_header_id ) ) ); ?>
				<?php
				echo ! empty( $manoir_header_image ) || ! empty( $manoir_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $manoir_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $manoir_header_image ) {
					echo ' ' . esc_attr( manoir_add_inline_css_class( 'background-image: url(' . esc_url( $manoir_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( manoir_is_on( manoir_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight manoir-full-height';
				}
				$manoir_header_scheme = manoir_get_theme_option( 'header_scheme' );
				if ( ! empty( $manoir_header_scheme ) && ! manoir_is_inherit( $manoir_header_scheme  ) ) {
					echo ' scheme_' . esc_attr( $manoir_header_scheme );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $manoir_header_video ) ) {
		get_template_part( apply_filters( 'manoir_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'manoir_action_show_layout', $manoir_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'manoir_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
