<?php
/**
 * The template to display default site header
 *
 * @package MANOIR
 * @since MANOIR 1.0
 */

$manoir_header_css   = '';
$manoir_header_image = get_header_image();
$manoir_header_video = manoir_get_header_video();
if ( ! empty( $manoir_header_image ) && manoir_trx_addons_featured_image_override( is_singular() || manoir_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$manoir_header_image = manoir_get_current_mode_image( $manoir_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $manoir_header_image ) || ! empty( $manoir_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $manoir_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $manoir_header_image ) {
		echo ' ' . esc_attr( manoir_add_inline_css_class( 'background-image: url(' . esc_url( $manoir_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( manoir_is_on( manoir_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight manoir-full-height';
	}
	$manoir_header_scheme = manoir_get_theme_option( 'header_scheme' );
	if ( ! empty( $manoir_header_scheme ) && ! manoir_is_inherit( $manoir_header_scheme  ) ) {
		echo ' scheme_' . esc_attr( $manoir_header_scheme );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $manoir_header_video ) ) {
		get_template_part( apply_filters( 'manoir_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	get_template_part( apply_filters( 'manoir_filter_get_template_part', 'templates/header-navi' ) );

	// Mobile header
	if ( manoir_is_on( manoir_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'manoir_filter_get_template_part', 'templates/header-mobile' ) );
	}

	// Page title and breadcrumbs area
	if ( ! is_single() ) {
		get_template_part( apply_filters( 'manoir_filter_get_template_part', 'templates/header-title' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'manoir_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
