<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package MANOIR
 * @since MANOIR 1.0
 */

$manoir_args = get_query_var( 'manoir_logo_args' );

// Site logo
$manoir_logo_type   = isset( $manoir_args['type'] ) ? $manoir_args['type'] : '';
$manoir_logo_image  = manoir_get_logo_image( $manoir_logo_type );
$manoir_logo_text   = manoir_is_on( manoir_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$manoir_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $manoir_logo_image['logo'] ) || ! empty( $manoir_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $manoir_logo_image['logo'] ) ) {
			if ( empty( $manoir_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric($manoir_logo_image['logo']) && (int) $manoir_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$manoir_attr = manoir_getimagesize( $manoir_logo_image['logo'] );
				echo '<img src="' . esc_url( $manoir_logo_image['logo'] ) . '"'
						. ( ! empty( $manoir_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $manoir_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $manoir_logo_text ) . '"'
						. ( ! empty( $manoir_attr[3] ) ? ' ' . wp_kses_data( $manoir_attr[3] ) : '' )
						. '>';
			}
		} else {
			manoir_show_layout( manoir_prepare_macros( $manoir_logo_text ), '<span class="logo_text">', '</span>' );
			manoir_show_layout( manoir_prepare_macros( $manoir_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
