<?php
/**
 * The template to display the widgets area in the header
 *
 * @package MANOIR
 * @since MANOIR 1.0
 */

// Header sidebar
$manoir_header_name    = manoir_get_theme_option( 'header_widgets' );
$manoir_header_present = ! manoir_is_off( $manoir_header_name ) && is_active_sidebar( $manoir_header_name );
if ( $manoir_header_present ) {
	manoir_storage_set( 'current_sidebar', 'header' );
	$manoir_header_wide = manoir_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $manoir_header_name ) ) {
		dynamic_sidebar( $manoir_header_name );
	}
	$manoir_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $manoir_widgets_output ) ) {
		$manoir_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $manoir_widgets_output );
		$manoir_need_columns   = strpos( $manoir_widgets_output, 'columns_wrap' ) === false;
		if ( $manoir_need_columns ) {
			$manoir_columns = max( 0, (int) manoir_get_theme_option( 'header_columns' ) );
			if ( 0 == $manoir_columns ) {
				$manoir_columns = min( 6, max( 1, manoir_tags_count( $manoir_widgets_output, 'aside' ) ) );
			}
			if ( $manoir_columns > 1 ) {
				$manoir_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $manoir_columns ) . ' widget', $manoir_widgets_output );
			} else {
				$manoir_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $manoir_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<?php do_action( 'manoir_action_before_sidebar_wrap', 'header' ); ?>
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $manoir_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $manoir_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'manoir_action_before_sidebar', 'header' );
				manoir_show_layout( $manoir_widgets_output );
				do_action( 'manoir_action_after_sidebar', 'header' );
				if ( $manoir_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $manoir_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
			<?php do_action( 'manoir_action_after_sidebar_wrap', 'header' ); ?>
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
