<?php
/**
 * The template to display Admin notices
 *
 * @package MANOIR
 * @since MANOIR 1.0.64
 */

$manoir_skins_url  = get_admin_url( null, 'admin.php?page=trx_addons_theme_panel#trx_addons_theme_panel_section_skins' );
$manoir_skins_args = get_query_var( 'manoir_skins_notice_args' );
?>
<div class="manoir_admin_notice manoir_skins_notice notice notice-info is-dismissible" data-notice="skins">
	<?php
	// Theme image
	$manoir_theme_img = manoir_get_file_url( 'screenshot.jpg' );
	if ( '' != $manoir_theme_img ) {
		?>
		<div class="manoir_notice_image"><img src="<?php echo esc_url( $manoir_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'manoir' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="manoir_notice_title">
		<?php esc_html_e( 'New skins are available', 'manoir' ); ?>
	</h3>
	<?php

	// Description
	$manoir_total      = $manoir_skins_args['update'];	// Store value to the separate variable to avoid warnings from ThemeCheck plugin!
	$manoir_skins_msg  = $manoir_total > 0
							// Translators: Add new skins number
							? '<strong>' . sprintf( _n( '%d new version', '%d new versions', $manoir_total, 'manoir' ), $manoir_total ) . '</strong>'
							: '';
	$manoir_total      = $manoir_skins_args['free'];
	$manoir_skins_msg .= $manoir_total > 0
							? ( ! empty( $manoir_skins_msg ) ? ' ' . esc_html__( 'and', 'manoir' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d free skin', '%d free skins', $manoir_total, 'manoir' ), $manoir_total ) . '</strong>'
							: '';
	$manoir_total      = $manoir_skins_args['pay'];
	$manoir_skins_msg .= $manoir_skins_args['pay'] > 0
							? ( ! empty( $manoir_skins_msg ) ? ' ' . esc_html__( 'and', 'manoir' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d paid skin', '%d paid skins', $manoir_total, 'manoir' ), $manoir_total ) . '</strong>'
							: '';
	?>
	<div class="manoir_notice_text">
		<p>
			<?php
			// Translators: Add new skins info
			echo wp_kses_data( sprintf( __( "We are pleased to announce that %s are available for your theme", 'manoir' ), $manoir_skins_msg ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="manoir_notice_buttons">
		<?php
		// Link to the theme dashboard page
		?>
		<a href="<?php echo esc_url( $manoir_skins_url ); ?>" class="button button-primary"><i class="dashicons dashicons-update"></i> 
			<?php
			// Translators: Add theme name
			esc_html_e( 'Go to Skins manager', 'manoir' );
			?>
		</a>
	</div>
</div>
